org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PackageImportElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PackageImportElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PackageImportElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageImportElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getAliasAssignment_3_1()`
    `org.eclipse.xtext.RuleCall` | `getAliasIDTerminalRuleCall_3_1_0()`
    `org.eclipse.xtext.Keyword` | `getAsKeyword_3_0()`
    `org.eclipse.xtext.Assignment` | `getEPackageAssignment_2()`
    `org.eclipse.xtext.CrossReference` | `getEPackageEPackageCrossReference_2_0()`
    `org.eclipse.xtext.RuleCall` | `getEPackageEPackageSTRINGTerminalRuleCall_2_0_1()`
    `org.eclipse.xtext.Keyword` | `getEpackageKeyword_1()`
    `org.eclipse.xtext.Group` | `getGroup_3()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getImportKeyword_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Keyword` | `getSemicolonKeyword_4()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageImportElements

          public PackageImportElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getImportKeyword_0

          public org.eclipse.xtext.Keyword getImportKeyword_0()

    - #### getEpackageKeyword_1

          public org.eclipse.xtext.Keyword getEpackageKeyword_1()

    - #### getEPackageAssignment_2

          public org.eclipse.xtext.Assignment getEPackageAssignment_2()

    - #### getEPackageEPackageCrossReference_2_0

          public org.eclipse.xtext.CrossReference getEPackageEPackageCrossReference_2_0()

    - #### getEPackageEPackageSTRINGTerminalRuleCall_2_0_1

          public org.eclipse.xtext.RuleCall getEPackageEPackageSTRINGTerminalRuleCall_2_0_1()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getAsKeyword_3_0

          public org.eclipse.xtext.Keyword getAsKeyword_3_0()

    - #### getAliasAssignment_3_1

          public org.eclipse.xtext.Assignment getAliasAssignment_3_1()

    - #### getAliasIDTerminalRuleCall_3_1_0

          public org.eclipse.xtext.RuleCall getAliasIDTerminalRuleCall_3_1_0()

    - #### getSemicolonKeyword_4

          public org.eclipse.xtext.Keyword getSemicolonKeyword_4()